English

Which iPhones/iPads are supported by GRID™ Autosport?

GRID™ Autosport requires an iPhone SE, an iPhone 7 or newer, an iPad (2017) or any iPad Pro, and iOS 11 or later.

The iPhone 6s and 6s Plus are not officially supported as they do not meet the performance standards required for a consistently smooth experience. If you download GRID™ Autosport on an iPhone 6s or 6s Plus, you can play the game but may experience graphical glitches, poor performance and/or stability issues. Older iPhones are not supported at all.

The iPad Air 2, and older iPads, are not supported at all as they do not meet the performance standards required to play the game.

For more information, please contact Feral Support at support@feralinteractive.com.